Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# FileErrorHandler Class Reference
[Handlers]

Inheritance diagram for FileErrorHandler:

## Detailed Description

File implementation of ErrorHandler.

Writes all errors into text file. This file includes error description and start/end time of logging.

## Public Methods

| FileErrorHandler (const String *fileName, int encoding, bool clear)
| Creates FileErrorHandler instance.
void | fatalError (const String &msg)
void | error (const String &msg)
void | warning (const String &msg)

## Protected Attributes

ErrorHandlerWriter * | ehw
StreamWriter * | writer
FILE * | file

## Constructor & Destructor Documentation

FileErrorHandler::FileErrorHandler | ( | const String * | fileName,
|  | int | encoding,
|  | bool | clear
| ) |

Creates FileErrorHandler instance.

For Unicode encodings it uses BOM for marking start of file.

Parameters:

  fileName | File name to store all errors information.
  encoding | Output file encoding
  clear | If true, file would be cleaned before first write.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.